html, body {
	user-select: none;          /* стандарт */
	-webkit-user-select: none;  /* для Chrome/Safari */
	-moz-user-select: none;     /* для Firefox */
	-ms-user-select: none;      /* для старых IE/Edge */
    height: 100%;
	margin: 0;
	padding: 0;
}

p {
	width: 100% !important;
}

h1, h2 {
	font-family: 'Proxima Bold' !important;
}

hr {
    margin-top: 1rem;
    margin-bottom: 1rem;
    border: 0;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.hidden {
    display: none !important;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > #container {
    padding: 46px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.z {
	clear: both;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: "\e151";
}

a.desc:after {
    content: "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view td {
    white-space: nowrap;
}

.grid-view .filters input,
.grid-view .filters select {
    min-width: 50px;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}

.logo {
	height: 89px;
	width: 106px;
	float: right;
	margin-right: 27px;
	margin-top: -49px;
	cursor: pointer;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
	
	.logo {
		height: 62px;
		width: 78px;
		float: right;
		margin-right: 16px;
		margin-top: -64px;
	}
}

.mb-3, .my-3 {
    margin-bottom: 0 !important;
}

.card-body {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 0 !important;
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

.ava {
	border-radius: 100px;
	box-shadow: 0 0 2px #654;
	margin: 5px;
	cursor: pointer;
}

.ava:hover {
	border-radius: 100px;
	box-shadow: 0 0 7px #654;
}

.ava-small {
	height: 35px;
	width: 35px;
}

.ava-middle {
	height: 75px;
	width: 75px;
	margin-right: 20px;
}

.ava-big {
	max-height: 500px;
    max-width: 500px;
    width: 33%;
    margin-right: 20px;
    margin-bottom: 10px;
    border-radius: 8px;
    -webkit-box-shadow: 0px 5px 7px 3px rgb(132 135 137 / 26%);
    -moz-box-shadow: 0px 5px 7px 3px rgba(132, 135, 137, 0.26);
    box-shadow: 0px 5px 7px 3px rgb(132 135 137 / 26%);
	float: left;
}

.status-control-block {
	text-align: right;
}

.settings {
	margin-top: 40px;
	margin-left: 120px;
	margin-right: 32px;
}

/* main menue */
	#menu {
		background: #FFEB3B;
		position: fixed;
		width: 50%;
		height: 100vh;
		padding-left: 133px;
		padding-top: 110px;
		-moz-box-sizing: border-box;
		box-sizing: border-box;
		transition: all 0.5s ease-in;
		z-index: 5;
		float: left;
		-webkit-transform: translateX(-100%);
		-ms-transform: translateX(-100%);
		-o-transform: translateX(-100%);
		transform: translateX(-100%);
	}
	
	#menu.active {
		-webkit-transform: translateX(0);
		-ms-transform: translateX(0);
		-o-transform: translateX(0);
		transform: translateX(0);
	}
	
	#menu-toggle {
		webkit-transition: all 0.3s ease;
		-ms-transition: all 0.3s ease;
		transition: all 0.3s ease;
		color: #999;
		display: inline-block;
		z-index: 5;

		position: relative;
		top: 80px;
		left: 140px;
	}
	
	#menu-toggle span {
		display: block;
		width: 40px;
		/*width: 1.35em;*/
		height: 3px;
		/*height: 0.1em;*/
		background: #ddd;
		-webkit-transition: transform 0.3s cubic-bezier(0, 0, 0.68, 1.29), opacity 0.2s ease;
		-ms-transition: transform 0.3s cubic-bezier(0, 0, 0.68, 1.29), opacity 0.2s ease;
		transition: transform 0.3s cubic-bezier(0, 0, 0.68, 1.29), opacity 0.2s ease;
		position: relative;
		top: 0;
	}
	
	#menu-toggle span:nth-of-type(2), #menu-toggle span:nth-of-type(3) {
		margin-top: 6px;
	}
	
	#menu-toggle.active {
		-webkit-transform: rotate(
		90deg
		);
			-ms-transform: rotate(90deg);
			transform: rotate(
		90deg
		);
	}
	
	#menu-toggle.active span {
		background: #000;
	}
	
	#menu-toggle.active span:nth-of-type(1) {
		-webkit-transform: rotate(
		45deg
		);
		-ms-transform: rotate(45deg);
		transform: rotate(
		45deg
		);
		top: 19px;
	}
	
	#menu-toggle.active span:nth-of-type(2) {
		opacity: 0;
	}
	
	#menu-toggle.active span:nth-of-type(3) {
		-webkit-transform: rotate(
		-45deg
		);
			-ms-transform: rotate(-45deg);
			transform: rotate(
		-45deg
		);
			top: 0px;
	}
	
	#container {
		float: right;
		width: 100%;
		webkit-transition: all 0.4s ease-in;
		-ms-transition: all 0.4s ease-in;
		transition: all 0.4s ease-in;
	}
	
	#container.active {
		width: 50%;
	}
	
	.navigation {
		list-style: none;
		padding: 0;
		margin: 0;
		display: table-cell;
		vertical-align: middle;
	}
	
	.navigation li {
		margin-top: 25px;
		margin-bottom: 25px;
	}
	
	.navigation li a {
		text-decoration: none;
		color: #000;
		position: relative;
		font-family: 'Proxima Bold';
		font-size: 36px;
		box-sizing: border-box;
		
		-webkit-transition: width 0.3s ease, background-color 0.3s ease;
		-o-transition: width 0.3s ease, background-color 0.3s ease;
		transition: width 0.3s ease, background-color 0.3s ease;
	}
	
	.logout {
		background: transparent;
		border: none;
		padding: 0;
		text-align: left;
		font-size: 18px;
		font-family: 'Proxima Bold';
		text-transform: uppercase;
	}
	
	aside#menu .navigation li a:before, .logout:before {
		content: "";
		width: 0%;
		display: inline-block;
		position: absolute;
		height: 3px;
		background: #000;
		left: 0;
		top: calc(110% - 2px);
		-webkit-transition: width 0.3s ease, background-color 0.3s ease;
		-o-transition: width 0.3s ease, background-color 0.3s ease;
		transition: width 0.3s ease, background-color 0.3s ease;
	}
	
	aside#menu .navigation li a:hover:before {
		width: 100%;
		background: #000;
	}
	
	.navigation li a:hover, .logout:hover {
		background-position: 0 100%;
	}
	
/* vidget menue */
	#part-menue {
		margin-bottom: 60px;
		margin-top: 0;
		text-align: -webkit-right;
		text-align: right;
	}
	
	#part-menue ul {
		list-style-type: none;
		margin: 0;
		padding: 0;
	}
	
	#part-menue ul li {
		display: inline-block;
		margin-right: 40px;
		/*margin-right: 1.5em;*/
	}
	
	#part-menue ul li a, .logout {
		color: #ccc;
		font-family: 'Proxima Bold';
		text-transform: uppercase;
		font-size: 18px;
		/*font-size: 0.7em;*/
		text-decoration: none;
		webkit-transition: all 0.3s ease;
		-ms-transition: all 0.3s ease;
		transition: all 0.3s ease;
	}
	
	#part-menue ul li.active a, #part-menue ul li a:hover, .logout:hover {
		color: #000;
	}
	
	.clarify-word, .clarify-word-user {
		width: 100%;
		display: block;
		text-decoration: none;
		color: #000;
		margin-top: 16px;
		padding: 20px 24px;
		border-radius: 5px;
		border: 1px solid #cecaca;
		font-size: 18px;
		line-height: 1.33;
	}
	.clarify-word {
		background: #00ff72;
	}
	.clarify-word-user {
		background: #d62637;
	}
	.clarify-word:hover, .clarify-word:focus, .clarify-word-user:hover, .clarify-word-user:focus {
		color: #000 ! important;
		text-decoration: none !important;
	}
	.clarify-word:hover {
		background: #21d873;
	}
	.clarify-word-user:hover {
		background: #e4283b;
	}
	
#msg-ico {
	display: block;
	position: fixed;
    bottom: 75px;
    right: 8px;
    width: 70px;
    height: 70px;
    background-image: url(/images/msg.png);
    background-size: 70px 70px;
	z-index: 4;
}

#msg-ico:hover {
	background-image: url(/images/msg-active.png);
}

/* Article */

.grid * {
    box-sizing: border-box;
}
.grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 30px;
    row-gap: 30px;
    padding: 20px 0;
}
/* Кол-во блоков на разных экранах */
@media only screen and (max-width: 1200px) {
    .grid {
        grid-template-columns: 1fr 1fr 1fr;
    }
}
@media only screen and (max-width: 1024px) {
    .grid {
        grid-template-columns: 1fr 1fr;
    }
}
@media only screen and (max-width: 756px) {
    .grid {
        grid-template-columns: 1fr;
    }
}
.grid-item {
    box-shadow: 0 2px 5px rgba(0,0,0,0.2), 0 4px 6px rgba(0,0,0,0.2);
    transition: box-shadow .3s;
	background: #ffec12;
    width: 100%;
    height: 100%; 
}
.grid-item .image {
    height: 312px;
    overflow: hidden;
}
.grid-item .info {
    position: relative;
    padding: 16px 14px 11px 14px;
}
.grid-item:hover {
    box-shadow: 0 4px 12px rgba(0,0,0,0.2), 0 16px 20px rgba(0,0,0,0.2);
}
.grid-item .image img  {
      transition: transform 280ms ease-in-out;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;   
}
.grid-item:hover .image img  {
    transform: scale(1.1);
}
.info p {
    font-family: 'Roboto Condensed', Тahoma, sans-serif;
	color: #000000;
    font-size: 18px;
    font-weight: normal;
    margin: 0;
    text-align: center;
}
.grid article {
	cursor: pointer;
}

figure {
    border: thin #c0c0c0 solid;
    display: flex;
    flex-flow: column;
    padding: 5px;
    max-width: 650px;
    margin: auto;
}

header img {
    max-width: 650px;
    max-height: 350px;
}

figcaption {
    background-color: #FFEB3B;
    color: #000;
    font: italic smaller sans-serif;
    padding: 3px;
    text-align: center;
	line-height: 1.25;
}

h3.clarify-the-word-variant {
	color: #f71b30;
    font-size: 22px;
    font-weight: 400;
    line-height: 1.33;
	margin-top: 36px;
}

h2.clarify-the-word-variant {
	color: #000;
    font-size: 27px;
    line-height: 1.2;
}

.add-word-container {
	padding: 15px !important;
}

.words-list-header h3 {
	font-size: 20px;
	width: 306px;
	float: left;
	display: block;
	vertical-align: middle;
    padding-top: 11px;
}

.start-exercise-btn {
    float: right;
}

.words-list-container {
	background: #f9f9fb;
	border-radius: 8px;
}

.color-btn {
    background: #ffec12;
}

.color-btn:hover {
    background: #f3d400;
}

.word-element-in-list {
	background: #FFFFFF;
	width: 100% - 80px;
	color: #000;
	margin-top: 16px;
	padding: 16px 24px;
	border-radius: 5px;
	font-size: 18px;
	line-height: 1.33;
	-webkit-box-shadow: 0px 5px 7px 3px rgba(132, 135, 137, 0.26);
	-moz-box-shadow: 0px 5px 7px 3px rgba(132, 135, 137, 0.26);
	box-shadow: 0px 5px 7px 3px rgba(132, 135, 137, 0.26);
	cursor: pointer;
}

.help-block-error, .help-block {
	color: #dc3545;
}

.control-label {
	color: #808080;
    font-weight: 700;
}

.exists-phrases {
	width: 100%;
	margin-top: 10px;
}

.exists-phrases h5 {
	margin-bottom: 17px;
    font-size: 21px;
}

.list3b {
    padding:0;
    list-style: none;
    counter-reset: li;
}    
.list3b li {
    position: relative;
    border-left: 4px solid #DDDDDD;
    padding:16px 20px 16px 28px;
    margin:12px 0 12px 80px;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
}
.list3b li:before {
    line-height: 32px;
    position: absolute;
    top: 10px;
    left:-80px;
    width:80px;
    text-align:center;
    font-size: 24px;
    font-weight: bold;
    color: #DDDDDD;
    counter-increment: li;
    content: counter(li);
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;        
}
.list3b li:hover:before {
    color: #77AEDB;
}
.list3b li:after {
    position: absolute;
    top: 26px;
    left: -40px;
    width: 60px;
    height: 60px;
    border: 8px solid #3399FF;
    border-radius: 50%;
    content: '';
    opacity: 0;
    -webkit-transition: -webkit-transform 0.3s, opacity 0.3s;
    -moz-transition: -moz-transform 0.3s, opacity 0.3s;
    transition: transform 0.3s, opacity 0.3s;
    -webkit-transform: translateX(-50%) translateY(-50%) scale(0.1);
    -moz-transform: translateX(-50%) translateY(-50%) scale(0.1);
    transform: translateX(-50%) translateY(-50%) scale(0.1);
    pointer-events: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;        
}
.list3b li:hover:after {
    opacity: 0.2;
    -webkit-transform: translateX(-50%) translateY(-50%) scale(1);
    -moz-transform: translateX(-50%) translateY(-50%) scale(1);
    transform: translateX(-50%) translateY(-50%) scale(1);
}

.btn-add-phrase {
	text-decoration: none !important;
    padding: 2px 7px;
    border-radius: 50%;
    border: 6px solid #DDDDDD;
	color: #ADCEE9;
	font-weight: 700;
	font-size: 15pt;
	margin-left: 20px;
	opacity: 0.5;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding-bottom: 4px;
    padding-left: 9px;
    padding-right: 8px;
}
.btn-add-phrase:hover {
	animation: 500ms ease-in-out 0s bounceIn;
    opacity: 1;
    border: 6px solid #ADCEE9;
}	

@keyframes bounceIn {
	0% {
		opacity: 0;
		transform: scale3d(.3, .3, .3);
	}
	20% {
		transform: scale3d(1.3, 1.3, 1.3);
	}
	40% {
		transform: scale3d(.9, .9, .9);
	}
	60% {
		opacity: 1;
		transform: scale3d(1.03, 1.03, 1.03);
	}
	80% {
		transform: scale3d(.97, .97, .97);
	}
	to {
		opacity: 1;
		transform: scale3d(1, 1, 1);
	}
}

.phrase-add-phrase {
	margin-bottom: 22px;
	font-size: 14pt;
}

ul.pagination {
    display: inline-block;
    padding: 0;
    margin: 0;
}

ul.pagination li {
	display: inline;
}

ul.pagination li a, ul.pagination li span {
    color: black;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
}

ul.pagination li.active a {
    background-color: #f3d400;
    color: white;
	font-weight: 700;
}

ul.pagination li a:hover:not(.active a) {
	background-color: #eeeeee;
}

.exercise-list-element {
	line-height: 1.5;
    -webkit-box-shadow: 0px 5px 7px 3px rgb(132 135 137 / 26%);
    -moz-box-shadow: 0px 5px 7px 3px rgba(132, 135, 137, 0.26);
    box-shadow: 0px 5px 7px 3px rgb(132 135 137 / 26%);
    cursor: pointer;
	padding: 20px;
    margin: 20px;
}

.info {
	text-align: center;
	color: #000000;
	border: 3px solid #f3d400;
    border-radius: 10px;
    background-color: #ffec12;
	margin: 10px auto;
	padding: 5px;
	width: 75%;
}

@media (min-width: 576px) {
	.modal-lesson {
		max-width: 500px;
		margin: 1.75rem auto;
	}
}

.btn-easy {
	background: #f3d400;
    color: #fff1f1;
	cursor:pointer;
}

.margin-b {
	margin-bottom: 18px;
}

.people-card {
	line-height: 1.5;
    -webkit-box-shadow: 0px 5px 7px 3px rgb(132 135 137 / 26%);
    -moz-box-shadow: 0px 5px 7px 3px rgba(132, 135, 137, 0.26);
    box-shadow: 0px 5px 7px 3px rgb(132 135 137 / 26%);
    cursor: pointer;
    padding: 20px;
    margin: 20px;
}

.btn-add-friend {
	background: #4dea19c7;
    text-decoration: none;
    color: #ffffff;
}

.btn-add-friend:hover {
	background: #5dd222e8 !important;
	color: #ffffff !important;
}

.btn-delete-friend {
	background: #f44336fc;
	text-decoration: none;
    color: #ffffff;
}

.btn-delete-friend:hover {
	color: #ffffff !important;
	background: #d8180aeb !important;
}

.btn-your-profile {
	background: #fddd01;
}

.is-that-friend {
	color: #cccccc;
}

.message-fa-icon {
	font-size: 2.3em !important;
	color: #cccccc;
	margin-top: 6px;
}

.message-fa-icon:hover {
	color: #ffec13;
}

.about-block {
	line-height: 1.5;
    -webkit-box-shadow: 0px 5px 7px 3px rgb(132 135 137 / 26%);
    -moz-box-shadow: 0px 5px 7px 3px rgba(132, 135, 137, 0.26);
    box-shadow: 0px 5px 7px 3px rgb(132 135 137 / 26%);
    cursor: pointer;
    padding: 20px;
    margin-top: 20px;
}

.p-name-surname {
	color: #808080;
    font-weight: 700;
	font-size: 16pt;
}

.article-name {
	text-align: center;
    background-color: #ffec12;
    padding: 5px;
	font-weight: 700;
    color: #383434;
	font-size: 14pt;
}

.article-name:hover {
	color: #607d8b;
}

.article-link {
	text-decoration: none !important;
}

.setting-pro-info-active {
    background: #b1da82;
    padding: 10px;
    border-left: 5px solid green;
}

.setting-pro-info-passive {
    background: #f135178f;
    padding: 10px;
    border-left: 5px solid #f44336;
}

.pay-option {
	padding: 20px;
    font-size: 14pt;
	margin: 0 auto;
    margin-bottom: 12px;
	box-shadow: 0 0 10px rgb(0 0 0 / 50%);
    border-radius: 6px;
}

.pay-block-1 {
	background: #c5b330;
    color: #f0fff0;
	border-bottom: 6px solid #a0953e;
}
.pay-block-2 {
	background: #f59911;
    color: #ffe4c4;
	border-bottom: 6px solid #c58424;
}
.pay-block-3 {
	background: #bfcc40;
    color: #f0fff0;
	border-bottom: 6px solid #949e33;
}
.pay-block-4 {
	background: #2b88d2;
    color: #ffe4c4;
	border-bottom: 6px solid #276698;
}
.pay-block-5 {
	background: #157b72;
    color: #ffe4c4;
	border-bottom: 6px solid #12524d;
}

.translate-hide {
	background: #008000;
}

.translate-hide:hover {
	background: #FFFFFF;
}

.translate-hide:hover {
	cursor: pointer;
}

#hidde-words {
	cursor: pointer;
	color: #c0c0c0;
}

#hidde-words:hover {
	color: #A9A9A9;
}